var	strTrim = function(text){
	return text.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
};

var w_password_lost = function(href) {
    var new_win = window.open(href, 'win_password_lost', 'width=617, height=330, scrollbars=1');
    new_win.focus();
}

function outlogin_submit(f) {
    if (!f.mb_id.value) {
        alert("아이디를 입력해 주세요.");
        f.mb_id.focus();
        return false;
    }

    if (!f.mb_password.value) {
        alert("비밀번호를 입력해 주세요.");
        f.mb_password.focus();
        return false;
    }
 
    return true;
}

$(function(){
	$("#ol_mb_id").blur(function(){
		$(this).val($(this).val().toLowerCase());
		if(strTrim($(this).val()) === "") {
			$(this).attr("class", "id_none");
		} else {
			$(this).attr("class", "id_focus");
		}
	});
   	
   	$("#ol_mb_id").focus(function(){
   		$(this).attr("class", "id_focus");
   	});
   	
   	$("#ol_mb_pw").focus(function(){
   		$(this).attr("class", "pw_focus");
   	});
   	
   	$("#ol_mb_pw").blur(function(){
   		if(strTrim($(this).val()) === "") {
   			$(this).attr("class", "pw_none");
   		} else {
   			$(this).attr("class", "pw_focus");
   		}
   	});

	$("#auto_login").click(function(){
        if ($(this).is(":checked")) {
            if(!confirm("자동로그인을 사용하시면 다음부터 회원아이디와 패스워드를 입력하실 필요가 없습니다.\n\n공공장소에서는 개인정보가 유출될 수 있으니 사용을 자제하여 주십시오.\n\n자동로그인을 사용하시겠습니까?"))
                return false;
        }
    });

    $('.w_password_lost').click(function() {
        w_password_lost(this.href);
        return false;
    });

});
